tools/probetest: replace the deprecated API